Subject: Re: bug#50686: Show number of downloads on packages on GNU ELPA/NonGNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Mar 2024 09:37:18 -0500

>> If you go to http://elpa.gnu.org/packages/ you'll now see a new column
>> "Rank" which shows a percentile ranking for each package.
> That's very cool.  I guess it's not looking very far back in the download
> data (yet?),

I had the logs only for a two weeks or so (plus some old logs from
many years ago, actually), indeed.

> What are your plans for the stats from here?

As the info is extracted from the logs it's added to a file that
accumulates the counts per week per package.

You can see the relevant code in the `elpa--wsl*` functions in:

    https://git.savannah.gnu.org/cgit/emacs/elpa.git/tree/elpa-admin.el?h=elpa-admin

> e.g. it would be helpful to be able to see stats within a time period,
> maybe a graph over time,

Indeed.  Patches welcome.

> a list of downloads per version, etc.

Currently I count the "interest" in the package, so I don't distinguish
the version of the package, nor whether the access is for the tarball or
the package's web page, or the package's readme.txt, or the package's badge.

I'd like to the keep the stats database reasonably small (it's currently
around 150kB,  and I expect it'll take a year before it reaches 1MB), so
I'd rather not segregate per version.

        Stefan